class 'l_17_Elevator' (PlayField)

local tool_apply_mg = '19_xxx'
local is_current_level_minus_1

function l_17_Elevator:__init(game_scene, name, path)
	PlayField.__init(self, game_scene, name, path)
    self.is_outdoor_scene = true
	
	self:linkScene('area_link_15_1', 'CursorUp', '15_Restroom')
	self:linkScene('area_link_15_2', 'CursorUp', '15_Restroom')
	self:linkScene('area_link_18', 'CursorUp', '18_Dressing_room')	
	
	self:entityHide('area_link_15_2', 'area_bbt_buttons', 'area_find_scissors', 'area_find_control_panel_elements_2')
	
	self:entityHide('hatch_open', 'scissors')

	self:getHint():removeAdditionalHintObject('area_click_zb_1')
	self:getHint():removeAdditionalHintObject('area_click_zb_minus_1')
		
	local function on_click_fact_film(e)
        if not e.save then
            local function on_end_click()
                if not self:isFactAdded('Fact_17_Film') then
                    self:addFact('Fact_17_Film')
                end
            end
            self:showFlyPicture('film_big','area_click_fact_film',on_end_click,false)
        end
    end
    self:registerActiveObject('area_click_fact_film', on_click_fact_film, true, 'CursorGlass')
	
	if HasGameState('17_ELEVATOR_IS_CURRENT_LEVEL_MINUS_1') then
	    is_current_level_minus_1 = Helpers.RestoreObjectFromGameState('17_ELEVATOR_IS_CURRENT_LEVEL_MINUS_1')
	else
	    is_current_level_minus_1 = false
	    Helpers.SaveObjectToGameState('17_ELEVATOR_IS_CURRENT_LEVEL_MINUS_1', is_current_level_minus_1)
	end
	
	
	local function updateLiftDoorLink()
	    if is_current_level_minus_1 then
			self:getEntityNamed('area_link_15_1'):setOrder(100)
			self:getEntityNamed('area_link_18'):setOrder(150)
    	   -- self:entityHide('area_link_15_1')
    	   -- self:entityShow('area_link_18')   
    	else
			self:getEntityNamed('area_link_15_1'):setOrder(150)
			self:getEntityNamed('area_link_18'):setOrder(100)   
	    end
	end
	updateLiftDoorLink()
	
	if is_current_level_minus_1 then
	    self:getEntityNamed('composition_goes_up'):setVisible(true)
	else
	    self:getEntityNamed('composition_goes_down'):setVisible(true)
	end
	
	local function start_idle_dust_video()
	    self:getEntityNamed('17_idle_dust'):setVisible(true)
	    self:getEntityNamed('17_idle_dust'):setActive(true)
	end
	
	if is_current_level_minus_1 and IsToolFound(tool_apply_mg) then
	    self:entityHide('area_zoom_Buttons','area_link_15_1')
	    self:entityShow('area_bbt_buttons')
	
	    if not HasGameState('17_ELEVATOR_BREAK_SHOWN') then
	        AddGameState('17_ELEVATOR_BREAK_SHOWN', 'true')
            
            if HasGameState('MapExceptionLiftOnTheBottom') then
                RemoveGameState('MapExceptionLiftOnTheBottom', 'true')
            end
            AddGameState('MapExceptionLiftIsBroken', 'true')
	        
	        self:showCutsceneBars(8)
	        
	        self.timer:add(function()
	                self:playSound('17_break')
	            end, 0)
	        
	        self:getEntityNamed('composition_elevator_idle'):stop()
	        self:getEntityNamed('composition_elevator_idle'):setVisible(false)
	        self:getEntityNamed('composition_goes_up'):setVisible(false)
	        self:getEntityNamed('composition_getting_stuck'):play()
	        
	        self.timer:add(function()
	                self:getEntityNamed('17_getting_stuck_dust'):setHideOnStop(true)
	                self:getEntityNamed('17_getting_stuck_dust'):setVisible(true)
	                self:getEntityNamed('17_getting_stuck_dust'):setActive(true)
	            end, 0.75)
	        
	        --  location trembling effect
	        local effector = CreateAnimationEffector()
		    effector:setDestroysOnEnd(true)
		    effector:attachTo(self:getEntityNamed('bg'))
            effector:setKey(_TRACK_X, 0.75, 683-171)
            effector:setKey(_TRACK_Y, 0.75, 384)
            effector:setKey(_TRACK_X, 0.94999186197917, 686.009979552599-171)
            effector:setKey(_TRACK_Y, 0.94999186197917, 386.276802880947-3.3)
            effector:setKey(_TRACK_X, 1.14998372395833, 685.126163518174-171)
            effector:setKey(_TRACK_Y, 1.14998372395833, 386.091738639485-3.3)
            effector:setKey(_TRACK_X, 1.35001627604167, 682.919309060945-171)
            effector:setKey(_TRACK_Y, 1.35001627604167, 381.385784478286-3.3)
            effector:setKey(_TRACK_X, 1.55000813802083, 679.955351420637-171)
            effector:setKey(_TRACK_Y, 1.55000813802083, 380.315439313944-3.3)
            effector:setKey(_TRACK_X, 1.75, 682.141941587573-171)
            effector:setKey(_TRACK_Y, 1.75, 383.756706442457-3.3)
            effector:setKey(_TRACK_X, 1.94999186197917, 683.609027375103-171)
            effector:setKey(_TRACK_Y, 1.94999186197917, 380.326670125431-3.3)
            effector:setKey(_TRACK_X, 2.14998372395833, 686.41819513535-171)
            effector:setKey(_TRACK_Y, 2.14998372395833, 386.230414746544-3.3)
            effector:setKey(_TRACK_X, 2.35001627604167, 683.894680623798-171)
            effector:setKey(_TRACK_Y, 2.35001627604167, 385.098055970946-3.3)
            effector:setKey(_TRACK_X, 2.55000813802083, 683.429578539384-171)
            effector:setKey(_TRACK_Y, 2.55000813802083, 386.615680410169-3.3)
            effector:setKey(_TRACK_X, 2.75, 685.999969481491-171)
            effector:setKey(_TRACK_Y, 2.75, 386.58589434492-3.3)
            effector:setKey(_TRACK_X, 2.94999186197917, 683.334604937895-171)
            effector:setKey(_TRACK_Y, 2.94999186197917, 381.095736564226-3.3)
            effector:setKey(_TRACK_X, 3.14998372395833, 684.30167546617-171)
            effector:setKey(_TRACK_Y, 3.14998372395833, 385.303628650777-3.3)
            effector:setKey(_TRACK_X, 3.35001627604167, 679.120365001373-171)
            effector:setKey(_TRACK_Y, 3.35001627604167, 382.283761101108-3.3)
            effector:setKey(_TRACK_X, 3.55000813802083, 679.854762413404-171)
            effector:setKey(_TRACK_Y, 3.55000813802083, 382.366527298807-3.3)
            effector:setKey(_TRACK_X, 3.75, 685.778283028657-171)
            effector:setKey(_TRACK_Y, 3.75, 383.871211890011-3.3)
            effector:setKey(_TRACK_X, 3.94999186197917, 679.113773003327-171)
            effector:setKey(_TRACK_Y, 3.94999186197917, 381.976622821741-3.3)
            effector:setKey(_TRACK_X, 4.14998372395833, 682.938596758934-171)
            effector:setKey(_TRACK_Y, 4.14998372395833, 380.523697622608-3.3)
            effector:setKey(_TRACK_X, 4.35001627604167, 684.022370067446-171)
            effector:setKey(_TRACK_Y, 4.35001627604167, 384.712546159246-3.3)
            effector:setKey(_TRACK_X, 4.55000813802083, 684.381756035035-171)
            effector:setKey(_TRACK_Y, 4.55000813802083, 384.999664296396-3.3)
            effector:setKey(_TRACK_X, 4.75, 683.809717093417-171)
            effector:setKey(_TRACK_Y, 4.75, 386.497024445326-3.3)
            effector:setKey(_TRACK_X, 4.94999186197917, 679.713888973663-171)
            effector:setKey(_TRACK_Y, 4.94999186197917, 381.423383281961-3.3)
            effector:setKey(_TRACK_X, 5.14998372395833, 685.65987121189-171)
            effector:setKey(_TRACK_Y, 5.14998372395833, 385.764580217902-3.3)
            effector:setKey(_TRACK_X, 5.35001627604167, 679.532486953337-171)
            effector:setKey(_TRACK_Y, 5.35001627604167, 383.22714926603-3.3)
            effector:setKey(_TRACK_X, 5.55000813802083, 679.87014374218-171)
            effector:setKey(_TRACK_Y, 5.55000813802083, 383.107272560808-3.3)
            effector:setKey(_TRACK_X, 5.75, 682.527939695425-171)
            effector:setKey(_TRACK_Y, 5.75, 383.466414380322-3.3)
            effector:setKey(_TRACK_X, 5.94999186197917, 682.202734458449-171)
            effector:setKey(_TRACK_Y, 5.94999186197917, 382.577715384381-3.3)
            effector:setKey(_TRACK_X, 6.14998372395833, 680.245887630848-171)
            effector:setKey(_TRACK_Y, 6.14998372395833, 383.058687093722-3.3)
            effector:setKey(_TRACK_X, 6.35001627604167, 684.819513534959-171)
            effector:setKey(_TRACK_Y, 6.35001627604167, 384.832911160619-3.3)
            effector:setKey(_TRACK_X, 6.55000813802083, 679.624286629841-171)
            effector:setKey(_TRACK_Y, 6.55000813802083, 383.932493057039-3.3)
            effector:setKey(_TRACK_X, 6.75, 682.538926358837-171)
            effector:setKey(_TRACK_Y, 6.75, 380.45484786523-3.3)
            effector:setKey(_TRACK_X, 7.08333333333333, 683-171)
            effector:setKey(_TRACK_Y, 7.08333333333333, 384-3.3)
            effector:play()
		    
            self.timer:add(function()
                    self:showBlackBar('BBT_17_ELEVATOR_BREAK')
            
                    self:getEntityNamed('composition_getting_stuck'):stop()
                    self:getEntityNamed('composition_getting_stuck'):setVisible(false)
                    self:getEntityNamed('composition_elevator_idle'):play()
                    self:getEntityNamed('composition_goes_up'):setVisible(true)
                    
                    start_idle_dust_video()
	            end, 8)
	    else
	        start_idle_dust_video()
	    end
	else
	    start_idle_dust_video()
	end
	
	--[[local function on_find_cane(e)
	    self:entityHide('area_find_cane')
	    self:entityHide('cane')
	end
	self:registerToolFindInfo('17_cane', 'area_find_cane', on_find_cane)--]]
	
	local function on_apply_trowel(e)
	    self:entityHide('area_apply_trowel')
	    self:entityShow('area_find_control_panel_elements_2')
	    
	    if not e.save then
	        self.mouseBlocker:push()
	        self:playSound('17_s_apply_trowel')
	        self:getEntityNamed('composition_trowel'):play()
	        self.timer:add(function()
	                self.mouseBlocker:pop()
	            end, self:getEntityNamed('composition_trowel'):getDuration() + 0.5)
	    else
	        self:getEntityNamed('composition_trowel'):rewind(true)
	    end
	end
	self:registerToolApplyInfo('18_trowel', 'area_apply_trowel', on_apply_trowel, 'BBT_17_NEED_TROWEL')
	
	local function on_find_control_panel_elements_2(e)
	    self:entityHide(e.target)
	    
	    self:getEntityNamed('composition_trowel'):getElementByName('Layer_3'):setOpacity(0)
	end
    self:registerToolFindInfo('17_control_panel_elements_2', 'area_find_control_panel_elements_2', on_find_control_panel_elements_2)
		
    local function on_find_scissors(e)
	    self:entityHide('area_find_scissors')	    
	    
	    self:entityHide('scissors')
	end
	self:registerToolFindInfo('17_scissors', 'area_find_scissors', on_find_scissors)
	
	--removed thread from location
	self:getEntityNamed('composition_elevator_idle'):getElementByName('Layer_10a'):setOpacity(0)
	--
	--[[local function on_apply_thread(e)
	    self:entityHide('area_apply_thread')
	    
	    self:getEntityNamed('composition_elevator_idle'):getElementByName('Layer_10a'):setOpacity(0)
	    self:findTool('17_thread')
	end
	self:registerToolApplyInfo('15_thread', 'area_apply_thread', on_apply_thread, 'BBT_17_NEED_THREAD')--]]
	
	self:registerBBT('area_bbt_buttons', 'BBT_17_BUTTONS')
	
	-----------------------------ZOOM BUTTONS
	do
	    self.zoom_buttons = self:createZoomZone('Buttons')
	    
	    local af = CreateAnimationEffector()
		af:setDestroysOnEnd(true)
		af:attachTo(self:getEntityNamed('zb_glow_holder'))	
		af:setMode(_ANIM_LOOP)
		af:setKey(_TRACK_O, 0,	0)
		af:setKey(_TRACK_O, 0.5,    1)
		af:setKey(_TRACK_O, 1,	0)
		af:play()
	    
	    self.zoom_buttons.on_open = function()
	        if not is_current_level_minus_1 then
    	        self:entityHide('zb_1_glow')
    	        self:entityShow('zb_minus_1_glow')
    	        self:entityHide('zb_1')
    	        self:entityHide('zb_minus_1')
    	        self:entityHide('area_click_zb_1')
    	        self:entityShow('area_bbt_zb_1')	            
	            self:entityShow('area_click_zb_minus_1')
	            self:entityHide('area_bbt_zb_minus_1')
	        else
	            self:entityShow('zb_1_glow')
	            self:entityHide('zb_minus_1_glow')
	            self:entityHide('zb_1')
                self:entityHide('zb_minus_1')
	            self:entityShow('area_click_zb_1') 
                self:entityHide('area_bbt_zb_1') 
	            self:entityHide('area_click_zb_minus_1')
	            self:entityShow('area_bbt_zb_minus_1')
	        end
	        self:entityShow('zb_glow_holder')
	        
	        if not self:isObjectClicked('area_click_zb_medal', self.name) then
    	        self:entityHide('area_bbt_zb_1')	            
	            self:entityHide('area_click_zb_minus_1')
	        end
	    end
	    
	    self:registerBBT('area_bbt_zb_2', 'BBT_17_BUTTON_2')
	    self:registerBBT('area_bbt_zb_1', 'BBT_17_BUTTON_1')
	    self:registerBBT('area_bbt_zb_minus_1', 'BBT_17_BUTTON_MINUS_1')
	    
	    local function on_click_zb_medal(e)
	        self:entityHide(e.target)
	        
	        if e.save then  
				self:entityHide('zb_medal')
				self:entityHide('medal')
	        else
	            self:entityShow('area_bbt_zb_1')
	            self:entityShow('area_click_zb_minus_1')
	        
				self:entityFadeHide('zb_medal')
				self:entityFadeHide('medal')
				
                self:findRoomObject('medal_10', 'medal_10_found')
	        end
	    end
	    self:registerActiveObject('area_click_zb_medal', on_click_zb_medal, false)
	    
	    local function on_click_zb_button(e)
	        if not e.save then
                self:playSound('17_click_elevator_button')
            	            
	            self:entityHide('zb_glow_holder')
	            
	            local duration = 0.5
	            
	            local old_is_current_level_minus_1 = is_current_level_minus_1
	            
	            self.mouseBlocker:push()
                self:entityFadeShow('zb_' .. (is_current_level_minus_1 and '1' or 'minus_1'))
	            self.timer:add(function()
	                    self.mouseBlocker:pop()
	                    self.zoom_buttons:close()
	                    
	                    self:restartSound('17_riding')
	                    
	                    local riding_composition_name = old_is_current_level_minus_1 and 'composition_goes_up' or 'composition_goes_down'
	                    local next_riding_composition_name = old_is_current_level_minus_1 and 'composition_goes_down' or 'composition_goes_up'
	                        
	                    self:getEntityNamed(riding_composition_name):play()
	                    
	                    --  location trembling effect
	                    local effector = CreateAnimationEffector()
		                effector:setDestroysOnEnd(true)
		                effector:attachTo(self:getEntityNamed('bg'))
		                effector:setKey(_TRACK_X, 1, 680.000274666585-168)
                        effector:setKey(_TRACK_Y, 1, 387.257301553392-3.3)
                        effector:setKey(_TRACK_X, 1.25, 681.299142429884-168)
                        effector:setKey(_TRACK_Y, 1.25, 384.740134891812-3.3)
                        effector:setKey(_TRACK_X, 1.5, 683.979400006104-168)
                        effector:setKey(_TRACK_Y, 1.5, 381.140903958251-3.3)
                        effector:setKey(_TRACK_X, 1.75, 682.040620136113-168)
                        effector:setKey(_TRACK_Y, 1.75, 384.794579912717-3.3)
                        effector:setKey(_TRACK_X, 2, 683.496475112156-168)
                        effector:setKey(_TRACK_Y, 2, 386.300729392376-3.3)
                        effector:setKey(_TRACK_X, 2.25, 679.78273873104-168)
                        effector:setKey(_TRACK_Y, 2.25, 382.8025757622-3.3)
                        effector:setKey(_TRACK_X, 2.5, 683.194219794305-168)
                        effector:setKey(_TRACK_Y, 2.5, 384.4344615009-3.3)
                        effector:setKey(_TRACK_X, 2.75, 681.922940763573-168)
                        effector:setKey(_TRACK_Y, 2.75, 381.400921658986-3.3)
                        effector:setKey(_TRACK_X, 3, 685.512649922178-168)
                        effector:setKey(_TRACK_Y, 3, 383.627552110355-3.3)
                        effector:setKey(_TRACK_X, 3.25, 685.136417737358-168)
                        effector:setKey(_TRACK_Y, 3.25, 386.784142582476-3.3)
                        effector:setKey(_TRACK_X, 3.5, 682.152928250984-168)
                        effector:setKey(_TRACK_Y, 3.5, 387.081759086886-3.3)
                        effector:setKey(_TRACK_X, 3.75, 682.314554277169-168)
                        effector:setKey(_TRACK_Y, 3.75, 381.733695486312-3.3)
                        effector:setKey(_TRACK_X, 4, 680.000274666585-168)
                        effector:setKey(_TRACK_Y, 4, 387.257301553392-3.3)
                        effector:play()
	                    
	                    self:showCutsceneBars(5.01)
	                    self.timer:add(function()
	                            self:getEntityNamed(riding_composition_name):stop()
	                            self:getEntityNamed(riding_composition_name):setVisible(false)
	                            self:getEntityNamed(next_riding_composition_name):setVisible(true)
	                            self:getEntityNamed(next_riding_composition_name):rewind(false)
	                        end, 5)
	                end, duration)
	            self:getHint():removeAdditionalHintObject('area_click_zb_1')
				self:getHint():removeAdditionalHintObject('area_click_zb_minus_1')
	            is_current_level_minus_1 = not is_current_level_minus_1
	            if is_current_level_minus_1 then
	                if HasGameState('MapExceptionLiftOnTheTop') then
                        RemoveGameState('MapExceptionLiftOnTheTop', 'true')
                    end
                    AddGameState('MapExceptionLiftOnTheBottom', 'true')
                else
	                if HasGameState('MapExceptionLiftOnTheBottom') then
                        RemoveGameState('MapExceptionLiftOnTheBottom', 'true')
                    end
                    AddGameState('MapExceptionLiftOnTheTop', 'true')
                end
	            Helpers.SaveObjectToGameState('17_ELEVATOR_IS_CURRENT_LEVEL_MINUS_1', is_current_level_minus_1)
	            
	            updateLiftDoorLink()
	        end
	    end	    
	    self:registerActiveObject('area_click_zb_1', on_click_zb_button, true)
	    self:registerActiveObject('area_click_zb_minus_1', on_click_zb_button, true)
	end
	
	-----------------------------ZOOM HATCH
	do
	    self.zoom_hatch = self:createZoomZone('Hatch')
	
	    self:linkScene('area_zh_link_15', 'CursorUp', '15_Restroom')
	    	    
	    self:linkScene('area_zh_link_17mg', 'CursorGlass', '17_Hatch_cover')	    
	    
	    self:entityHide('area_zh_link_15')
	    
	    if not IsToolApplied(tool_apply_mg) then
	        self:entityHide('zh_mg_2')
	    else
	        self:entityHide('zh_mg_1')
	    end
	    
	    if isMiniGameCompleted('17_Hatch_cover') then
	        self.zoom_hatch.on_open = function()
	            self:getEntityNamed('composition_z_hatch_bg'):setVisible(true)
	            self:getEntityNamed('composition_z_hatch_bg'):play()
	        end
	        
	        self.zoom_hatch.on_close = function()
	            self:getEntityNamed('composition_z_hatch_bg'):stop()
	        end
	    
	        self:entityHide('area_zh_link_17mg')
	        self:entityShow('area_zh_link_15')
	        self:entityShow('area_link_15_2')
	        if not IsToolFound('17_scissors') then
	            self:entityShow('area_find_scissors')
	        end
	    
	        self.zoom_hatch:disable()
	        
	        if not HasGameState('17_ELEVATOR_HATCH_DOOR_OPEN_SHOWN') then
	            if HasGameState('MapExceptionLiftIsBroken') then
                    RemoveGameState('MapExceptionLiftIsBroken', 'true')
                end
                
	            AddGameState('17_ELEVATOR_HATCH_DOOR_OPEN_SHOWN', 'true')
	            self:entityFadeHide('zh_door_closed')
	            
	            local duration = 0.5
	            self.mouseBlocker:push()
	            
	            self:playSound('17_open_hatch')
	            	            
	            self.timer:add(function()
	                    self:entityShow('hatch_open')
	                    self:entityShow('scissors')
	                    self:getEntityNamed('mg'):ChangeOpacity(1,0,duration)
	                    self:getEntityNamed('hatch_open'):ChangeOpacity(0,1,duration)
	                    if not IsToolFound('17_scissors') then
	                        self:getEntityNamed('scissors'):ChangeOpacity(0,1,duration)
	                    end
	                    self.timer:add(function()
	                            self.mouseBlocker:pop()
	                        end, duration)
	                end, duration)
	        else
	            self:entityHide('zh_door_closed')
	            
	            self:entityHide('mg')
	            self:entityShow('hatch_open')
	            if not IsToolFound('17_scissors') then
	                self:entityShow('scissors')
	            end
	        end
	    end
	    
	    if HasGameState('17_ELEVATOR_PREV_LEVEL_MINIGAME') then
            RemoveGameState('17_ELEVATOR_PREV_LEVEL_MINIGAME')
            if not isMiniGameCompleted('17_Hatch_cover') then
                self.zoom_hatch:open()
            end
        end
	end
end


function l_17_Elevator:onHint(obj)
	--Console:pushText('HINTED ON '..obj:getName())
	--self:getHint():removeAdditionalHintObject('area_click_zb_1')
	--self:getHint():removeAdditionalHintObject('area_click_zb_minus_1')
	if not self.zoom_buttons:isVisible() then
		if is_current_level_minus_1 then
			if obj:getName()=='area_link_15_1' then
				self.hint:stopHintPlaying()
				self:getHint():setAdditionalHintObject('area_click_zb_1')
				--self:getPanel():getControlsPanel().hintAnimationLogic:onHintButtonClick()
				self.hint:playHintAnimation(self:getEntityNamed('area_zoom_Buttons'),false)	
				--self.hint:
			end
		else
			if obj:getName()=='area_link_18' then
				self.hint:stopHintPlaying()
				self:getHint():setAdditionalHintObject('area_click_zb_minus_1')
				self.hint:playHintAnimation(self:getEntityNamed('area_zoom_Buttons'),false)	
				--self:getPanel():getControlsPanel().hintAnimationLogic:onHintButtonClick()
			end
		end
	end
end

--------------------------------------------------------------------------------
--                      GENERATED CONTENT. DO NOT EDIT.                       --
--------------------------------------------------------------------------------

function l_17_Elevator:CreateLoaderTable()
	local objects =
	{
		{ name = 'bg',  entityType = 'SpriteEntity',  x = 512,  y = 384,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/17_Elevator/Layers/bg.jpg',  width = 1366,  height = 768,  },
		{ name = '17_Elevator_Anim_Bg',  entityType = 'CompositionContainer',  parentName = 'bg',  x = -683,  y = -384,  order = 1,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  path = 'Data/Scripts/Scenes/17_Elevator/Anim/17_Elevator_Anim_Bg.lua',  },
		{ name = 'composition_goes_down',  entityType = 'CompositionSequence',  parentName = '17_Elevator_Anim_Bg',  x = 0,  y = 0,  order = 5,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'composition_goes_up',  entityType = 'CompositionSequence',  parentName = '17_Elevator_Anim_Bg',  x = 0,  y = 0,  order = 5,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'composition_elevator_idle',  entityType = 'CompositionSequence',  parentName = '17_Elevator_Anim_Bg',  x = 0,  y = 0,  order = 10,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = false,  isCyclic = true,  speed = 1,  },
		{ name = 'composition_getting_stuck',  entityType = 'CompositionSequence',  parentName = '17_Elevator_Anim_Bg',  x = 0,  y = 0,  order = 15,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'medal',  entityType = 'SpriteEntity',  parentName = 'bg',  x = -188,  y = 129,  order = 2,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Scenes/17_Elevator/Layers/medal.png',  width = 46,  height = 62,  },
		{ name = 'film',  entityType = 'SpriteEntity',  parentName = 'bg',  x = 414,  y = -144,  order = 2,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/17_Elevator/Layers/film.png',  width = 72,  height = 154,  },
		{ name = 'area_click_fact_film',  entityType = 'SpriteEntity',  parentName = 'film',  x = -9,  y = -1,  order = 100,  scaleX = 0.7,  scaleY = 1.5,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = false,  width = 100,  height = 100,  },
		{ name = 'mg',  entityType = 'SpriteEntity',  parentName = 'bg',  x = 32,  y = -315,  order = 10,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Scenes/17_Elevator/Layers/mg.png',  width = 116,  height = 68,  },
		{ name = '17_Elevator_Anim_Trowel',  entityType = 'CompositionContainer',  parentName = 'bg',  x = -512,  y = -384,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  path = 'Data/Scripts/Scenes/17_Elevator/Anim/17_Elevator_Anim_Trowel.lua',  },
		{ name = 'composition_trowel',  entityType = 'CompositionSequence',  parentName = '17_Elevator_Anim_Trowel',  x = -171,  y = 0,  order = 0,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = true,  speed = 1,  },
		{ name = 'hatch_open',  entityType = 'SpriteEntity',  parentName = 'bg',  x = -103,  y = -190,  order = 30,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/17_Elevator/Layers/hatch_open_0.png',  width = 450,  height = 376,  },
		{ name = 'scissors',  entityType = 'SpriteEntity',  parentName = 'bg',  x = -189,  y = -158,  order = 35,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Scenes/17_Elevator/Layers/scissors.png',  width = 74,  height = 78,  },
		{ name = '17_getting_stuck_dust',  entityType = 'VideoEntity',  x = 512,  y = 384,  order = 50,  isVisible = false,  isRespondable = false,  isActive = false,  scale = 3.48,  editingLocked = false,  treeItemIsExpanded = false,  path = 'Data/Video/Scenes/17_Elevator/17_getting_stuck_dust.webm',  hasAlpha = true,  isLooped = false,  },
		{ name = '17_idle_dust',  entityType = 'VideoEntity',  x = 512,  y = 384,  order = 55,  isVisible = false,  isRespondable = false,  isActive = false,  scale = 5.69,  editingLocked = false,  treeItemIsExpanded = true,  path = 'Data/Video/Scenes/17_Elevator/17_idle_dust.webm',  hasAlpha = true,  isLooped = true,  },
		{ name = 'area_link_15_2',  entityType = 'SpriteEntity',  x = 457,  y = 62,  order = 100,  scaleX = 3.6,  scaleY = 1,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = false,  width = 100,  height = 100,  },
		{ name = 'area_zoom_Buttons',  entityType = 'SpriteEntity',  x = 309,  y = 411,  order = 100,  angle = 4,  scaleX = 0.8,  scaleY = 3,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 100,  height = 100,  },
		{ name = 'area_link_15_1',  entityType = 'SpriteEntity',  x = 623,  y = 492,  order = 100,  scaleX = 3,  scaleY = 4.5,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = false,  width = 100,  height = 100,  },
		{ name = 'area_bbt_buttons',  entityType = 'SpriteEntity',  x = 309,  y = 411,  order = 100,  angle = 4,  scaleX = 0.8,  scaleY = 3,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 100,  height = 100,  },
		{ name = 'area_zoom_Hatch',  entityType = 'SpriteEntity',  x = 457,  y = 62,  order = 110,  scaleX = 3.6,  scaleY = 1,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 100,  height = 100,  },
		{ name = 'area_link_18',  entityType = 'SpriteEntity',  x = 623,  y = 492,  order = 110,  scaleX = 3,  scaleY = 4.5,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 100,  height = 100,  },
		{ name = 'area_apply_trowel',  entityType = 'SpriteEntity',  x = 219,  y = 349,  order = 110,  angle = 3,  scaleX = 1,  scaleY = 2.2,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 100,  height = 100,  },
		{ name = 'area_find_scissors',  entityType = 'SpriteEntity',  x = 322,  y = 225,  order = 110,  scale = 0.9,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 100,  height = 100,  },
		{ name = 'film_big',  entityType = 'SpriteEntity',  x = 512,  y = 384,  order = 700,  isVisible = false,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/17_Elevator/Layers/film_big.png',  width = 1024,  height = 548,  },
		{ name = 'text_field_big',  entityType = 'TextEntity',  parentName = 'film_big',  x = 205,  y = 0,  order = 0,  isRespondable = false,  color = {r = 0.00392157, g = 0.00392157, b = 0.00392157, a = 1},  editingLocked = false,  treeItemIsExpanded = true,  localizationKey = 'FACT_17_FILM',  font = 'Data/Fonts/cyrillic.fnt',  height = 25,  boundsX = 570,  boundsY = 0,  alignment = TextEntity.ETextHorizontalAlignmentLeft,  },
		{ name = 'area_find_control_panel_elements_2',  entityType = 'SpriteEntity',  x = 228,  y = 354,  order = 110,  angle = 3,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 100,  height = 100,  },
	}
	return objects
end
